package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF474Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF474Data() {}

    public static MWF474Data builder() {
        return new MWF474Data();
    }

    public MWF474Data rsCmid(String rsCmid) {
        params.put("RS_CMID", rsCmid);
        return this;
    }

    public MWF474Data rsDocumenttype(String rsDocumenttype) {
        params.put("RS_DOCUMENTTYPE", rsDocumenttype);
        return this;
    }

    public MWF474Data rsDocumentname(String rsDocumentname) {
        params.put("RS_DOCUMENTNAME", rsDocumentname);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
